Bug 442918 - debuginfo-install only works for installed packages
debuginfo-install only works for installed packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 11:50 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 08:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-17 11:50:46 EDT
Description of problem:

If you try 'debuginfo-install kdebase', and you don't have kdebase installed, it
won't find anything.

This may be intentional (not sure what the usage case of this would be), but I
figured I'd make sure.

Version-Release number of selected component (if applicable):

yum-utils-1.1.13-2.fc9.noarch
Comment 1 Seth Vidal 2008-04-21 15:42:18 EDT
it is intentional. here's the code we use to do the lookup:

        for pkgglob in self.cmds:
            e, m, u = self.rpmdb.matchPackageNames([pkgglob])


so we're only ever looking up for name matches against the rpmdb, not all packages.

Do we want it otherwise? It feels a little odd to be installing debuginfo pkgs
AND the software you want at the same time.
Comment 2 Bill Nottingham 2008-04-21 15:49:13 EDT
Not really. I forget why I even ran into this.
Comment 3 Bug Zapper 2008-05-14 05:35:11 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.